Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.conversion
Class Conversion

    java.lang.Object
      com.google.appengine.api.conversion.Conversion

    public final class Conversion

extends java.lang.Object

Represents a single conversion from one file format to another.

Constructor Summary
`Conversion(Document input, java.lang.String outputMimeType)` Used to construct a conversion with default options.
`Conversion(Document input, java.lang.String outputMimeType, ConversionOptions options)` Used to construct a conversion with specified options.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Document` | `getInputDoc()`
`ConversionOptions` | `getOptions()`
`java.lang.String` | `getOutputMimeType()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Conversion

    public Conversion(Document input,
                      java.lang.String outputMimeType)

  Used to construct a conversion with default options.

  Parameters:
    `input` - The input document.
    `outputMimeType` - The output mime type.
  Throws:
    `java.lang.IllegalArgumentException` - if the input document is invalid for conversion.

### Conversion

    public Conversion(Document input,
                      java.lang.String outputMimeType,
                      ConversionOptions options)

  Used to construct a conversion with specified options.

  Parameters:
    `input` - The input document.
    `outputMimeType` - The output mime type.
    `options` - The conversion options setting.
  Throws:
    `java.lang.IllegalArgumentException` - if the input document is invalid for conversion, or output mime type is null, empty or comprises only whitespace characters.

Method Detail

### getInputDoc

    public Document getInputDoc()

  Returns:
    The conversion input document.

### getOutputMimeType

    public java.lang.String getOutputMimeType()

  Returns:
    The conversion output mime type.

### getOptions

    public ConversionOptions getOptions()

  Returns:
    The conversion options setting.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD